import type { ManifestCollectionMenu } from './extension/types.js';
import { UmbExtensionElementAndApiSlotElementBase } from '../../extension-registry/index.js';
export declare class UmbCollectionMenuElement extends UmbExtensionElementAndApiSlotElementBase<ManifestCollectionMenu> {
    getExtensionType(): string;
    getDefaultElementName(): string;
    getSelection(): any;
}
declare global {
    interface HTMLElementTagNameMap {
        'umb-collection-menu': UmbCollectionMenuElement;
    }
}
